---
lang: en
title: 'API docs: rest.routesource'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.routesource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RouteSource](./rest.routesource.md)

## RouteSource class

**Signature:**

```typescript
export declare class RouteSource implements InvocationSource<RouteEntry> 
```
**Implements:** [InvocationSource](./context.invocationsource.md)<!-- -->&lt;[RouteEntry](./rest.routeentry.md)<!-- -->&gt;

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(value)](./rest.routesource._constructor_.md) |  | Constructs a new instance of the <code>RouteSource</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [type](./rest.routesource.type.md) |  | string |  |
|  [value](./rest.routesource.value.md) | <code>readonly</code> | [RouteEntry](./rest.routeentry.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [toString()](./rest.routesource.tostring.md) |  |  |


